Automotive and Embedded Networks

cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

PXI-8516 and NI-CAN compatibility layer

Solved!
Go to solution

PXI-8516 and NI-CAN compatibility layer

Hello

 

I am trying to use a PXI-8516 LIN card we recently purchased to extend an existing project which uses CAN cards with the NI-CAN compatibility layer. In order to maintain consistency, I would like to use the NI-CAN API as well. The API provides support for LIN protocol, but when I try to use it with this card (using a simple ncOpen with ObjName=LIN1) I get error BFF6210D "Your application uses a feature that your NI CAN or LIN hardware does not support." Does this mean that this card cannot be used with the NI-CAN API?

 

I have looked at the NI documentation, and it says that the compatibility layer cannot be used with USB LIN cards, but this is a PXI card. In the support page "Migrating NI-CAN Applications to NI-XNET", located at http://zone.ni.com/devzone/cda/tut/p/id/9717 it even has a flowchart to help decide if the compatibility layer can be used. In the flowchart it specifies that the 851x series can be used with the NI-CAN compatibility layer. Does this include the LIN cards PXI-8516 and PCI-8516? Or does it only refer to the CAN cards of that family?

 

Can the PXI-8516 be used with the NI-CAN API?

 

Thanks

 

AGID

0 Kudos
Message 1 of 4
(4,765 Views)

Re: PXI-8516 and NI-CAN compatibility layer

No, the PXI-8516 cannot be used with the NI-CAN compatibility layer. The compatibility layer is designed to migrate existing NI-CAN aplications written to use PXI/PCI Series 2 hardware to new XNET hardware. It is not intended to migrate existing NI-CAN appliations writtens for USB-CAN or USB-LIN applications to XNET hardware, although it woud likely work for USB-CAN applications as they only use a subset of the PXI/PXI Series 2 API.

 

I apologize for the inconvenience.

0 Kudos
Message 2 of 4
(4,759 Views)

Re: PXI-8516 and NI-CAN compatibility layer

But this is not an "existing NI-CAN appliation written for USB-CAN or USB-LIN applications". It is an application for a PXI card. That's why I was asking, because according to the wording of the documentation, it should be possible to use it, but I don't know if the documentation is older than the hardware and NI has not had time to update the documentation.

 

AGID

0 Kudos
Message 3 of 4
(4,755 Views)
Solution
Accepted by topic author AGID
08-27-2015 04:09 PM

Re: PXI-8516 and NI-CAN compatibility layer

NI does not recommend using the NI-CAN API for new designs. We provide the compatibility layer for existing applications that were written to run on existing NI-CAN hardware to help migrate to the newer NI-XNET hardware without changing your application (although updating to the NI-XNET API would provide the highest level of performance, we understand that not all applications can be updated immediately).

 

NI doesn't make any PXI-LIN cards that work with the NI-CAN API, so migrating existing NI-CAN PCI/PXI hardware to NI-XNET PCI/PXI hardware is not applicable for LIN. 

 

 

0 Kudos
Message 4 of 4
(4,753 Views)